Topic: Error with Netbeans 6.1 and rails console.

Hi guys, i just installed Netbeans 6.1 is very good, i prefer it to radrails... but now i have a problem... if i try to start the console from Netbeans i get

D:/Development/ruby/lib/ruby/gems/1.8/gems/rails-2.1.1/lib/commands/console.rb:32:in `exec': Exec format error - irb --noreadline  -r irb/completion -r "D:/Documents and Settings/Andrea/Documenti/htdocs/zooys/config/environment" -r console_app -r console_with_helpers --simple-prompt (Errno::ENOEXEC)

        from D:/Development/ruby/lib/ruby/gems/1.8/gems/rails-2.1.1/lib/commands/console.rb:32

        from D:/Development/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

        from D:/Development/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'

        from script/console:3


what is this? If i start the console normally from the prompt of msdos everything work fine... i am using Windows XP.

Re: Error with Netbeans 6.1 and rails console.

I have NetBeans on Vista, but never use it for Ruby or Rails, just Java, but I would suggest going to Tools > Ruby Platforms, and take a look there. You may just have to add the Platform to the correct version of Ruby, as NetBeans uses its own integrated version of Ruby they call JRuby, which I would imagine is why you are seeing two different results.